.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 800;
    position: absolute;
    padding-top: rem(15);
    padding-bottom: rem(15);

    &__container {
        margin: 0 auto;
        position: relative;
        padding: 0 rem(15);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__logo {
        width: 43px;
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
        position: relative;
    }

    &__group {
        width: calc(50% - 36px);
        flex-shrink: 0;
        display: flex;
        align-items: center;
        column-gap: rem(12);

        &--right {
            justify-content: flex-end;
        }
    }

    &__content {
        display: flex;
        align-items: center;
        column-gap: rem(12);
    }

    &__phone {
        display: flex;
        align-items: center;
        justify-content: center;
        color: white;
        white-space: nowrap;
        height: rem(40);
        font-size: rem(16);
        line-height: rem(22);
        border-radius: 30px;
        text-decoration: none !important;
        padding: rem(4) rem(15);
        background: transparent;
        border: 1px solid rgba(255, 255, 255, 0.2);
        transition: var(--transition-time);

        span {
            text-decoration: none !important;
            border-bottom: none !important;
        }

        &:hover {
            color: var(--dark);
            text-decoration: none !important;
            background-color: var(--orange);
            border-color: var(--orange);
            transition: var(--transition-time);

            span {
       //         background-color: white;
            }
        }

        &:active {
        }

        &--xl {
            display: none;
        }

        &--sm {
            left: rem(15);
            top: calc(100% + 16px);
            position: absolute;
        }
    }

    &__city {
        right: rem(15);
        top: calc(100% + 16px);
        position: absolute;
        white-space: nowrap;
        color: white;
        height: rem(40);
        font-size: rem(16);
        line-height: rem(22);
        border-radius: 30px;
        text-decoration: none;
        padding: rem(4) rem(15);
        background: transparent;
        border: 1px solid rgba(255, 255, 255, 0.2);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    &__social {
        display: none;
    }

    &__nav {
        display: none;
    }

    &__link {
        display: flex;
        align-items: center;
        color: white;
        height: rem(40);
        font-size: rem(14);
        line-height: rem(22);
        white-space: nowrap;
        border-radius: 30px;
        text-decoration: none;
        padding: rem(4) rem(15);
        background: transparent;
        border: 1px solid rgba(255, 255, 255, 0.2);
        transition: var(--transition-time);

        &:hover {
            color: var(--dark);
            background-color: var(--orange);
            border-color: var(--orange);
            transition: var(--transition-time);
        }

        &:active {
            background-color: white;
        }
    }

    @include media-breakpoint-up(md) {

        &__logo {
            width: rem(57);
        }

        &__city {
            top: auto;
            right: auto;
            position: relative;
        }

        &__container {
            height: rem(50);
            max-width: 45.875rem;
        }

        &__content {
            position: relative;
        }

        &__phone {

            span {
                background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0.6) 40%, rgba(255,255,255,0) 90%);
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
            }

            &--sm {
                top: auto;
                left: auto;
                position: relative;
            }

            &.active {

                span {
                    color: white;
                    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 40%, rgba(255,255,255,1) 90%);
                    -webkit-background-clip: text;
                    -webkit-text-fill-color: transparent;
                }
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__container {
            max-width: 62rem;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: rem(10) 0;

        &__phone {
            display: flex;
            align-items: center;
            justify-content: center;

            span {
                background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0.6) 40%, rgba(255,255,255,0) 90%);
                -webkit-background-clip: text;
                -webkit-text-fill-color: transparent;
            }

            &--xl {
                display: flex;
            }

            &--sm {
                display: none;
            }

            &.active {

                span {
                    color: white;
                    background: linear-gradient(90deg, rgba(255,255,255,1) 0%, rgba(255,255,255,1) 40%, rgba(255,255,255,1) 90%);
                    -webkit-background-clip: text;
                    -webkit-text-fill-color: transparent;
                }
            }
        }

        &__container {
            max-width: rem(1900);
        }

        &__search {

        }

        &__nav {
            display: flex;
            align-items: center;
            column-gap: rem(12);
        }

        &__group {
            width: auto;
        }
    }

    @media (min-width: 1320px) {

    }

    @include media-breakpoint-up(xxl) {


        &__social {
            display: flex;
            align-items: center;
            column-gap: rem(8);
        }

        &__nav {
            display: flex;
            align-items: center;
            column-gap: rem(12);
        }
    }

    @media (min-width: 1500px) {

        &__group {
            width: calc(50% - 50px);
        }
    }
}

.header-logo {
    display: block;
    position: relative;

    &--white {

    }

    &--color {
        top: 0;
        left: 0;
        right: 0;
        position: absolute;
        opacity: 0;
        visibility: hidden;
    }

    @include media-breakpoint-up(xl) {

        &--white {
            opacity: 0;
            visibility: hidden;
        }

        &--color {
            opacity: 1;
            visibility: visible;
        }
    }
}

.header-burger {
    color: white;
    height: rem(42);
    cursor: pointer;
    overflow: hidden;
    position: relative;
    font-size: rem(14);
    line-height: rem(20);
    border-radius: rem(30);
    text-decoration: none;
    padding: rem(4) rem(16);
    background: transparent;
    border: 1px solid rgba(255, 255, 255, 0.2);
    display: flex;
    align-items: center;
    column-gap: rem(4);
    justify-content: center;

    &__icon {
        width: 20px;
        height: 20px;
        display: block;
        flex-shrink: 0;
        position: relative;

        span,
        &:after,
        &:before {
            left: calc(50% - 7px);
            content: '';
            width: 14px;
            height: 2px;
            display: block;
            border-radius: 2px;
            position: absolute;
            background: white;
            transition: var(--transition-time);
        }

        span {
            top: calc(50% - 1px);
        }

        &:before {
            top: calc(50% - 6px);
        }

        &:after {
            top: calc(50% + 4px);
        }
    }


    @include media-breakpoint-up(xl) {

        &:hover {
            color: var(--dark);
            text-decoration: none;
            background-color: var(--orange);
            transition: var(--transition-time);

            .header-burger__icon {
                span,
                &:after,
                &:before {
                    background-color: var(--dark);
                    transition: var(--transition-time);
                }
            }
        }
    }
}

.nav-open {

    .header__nav {
        transition: .3s;
        transform: translateX(0);
    }

    .header__layout {
        opacity: 1;
        visibility: visible;
    }

    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(8px) translateX(0) rotate(45deg);
            width: 100%;
        }

        &:before {
            transform: translateY(-8px) translateX(0) rotate(-45deg);
            width: 100%;
        }
    }
}

.header-cart {
    fill: white;
    color: white;
    font-size: rem(14);
    line-height: rem(20);
    text-decoration: none;
    display: flex;
    align-items: center;

    &__icon {
        flex-shrink: 0;
        width: rem(24);
        height: rem(24);
        display: block;
    }

    &__value {
        width: rem(28);
        flex-shrink: 0;
    }

    &:hover {
        color: white;
        //fill: var(--orange);
        text-decoration: none;
    }

    &--full {
        fill: var(--orange);

        .header-cart__icon {

        }
    }

    @include media-breakpoint-up(xl) {

    }
}

.search-button {
    padding: 0;
    font-size: 0;
    line-height: 0;
    fill: white;
    width: rem(36);
    height: rem(36);
    cursor: pointer;
    border-radius: 50%;
    background: transparent;
    border: 1px solid rgba(255, 255, 255, 0.2);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition-time);

    i {
        display: block;
        flex-shrink: 0;
        width: rem(20);
        height: rem(20);
    }

    @include media-breakpoint-up(md) {
        width: rem(40);
        height: rem(40);
    }

    @include media-breakpoint-up(xl) {

        &:hover {
            fill: var(--dark);
            background: var(--orange);
            border-color: var(--orange);
            transition: var(--transition-time);
        }
    }
}

.search-open {

    .header-logo {
        opacity: 0;
        visibility: hidden;
    }

    @include media-breakpoint-up(lg) {

        .header-logo {
            opacity: 1;
            visibility: visible;
        }
    }
}



@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}

